# Uses of Class
org.eclipse.mat.report.internal.Parameters

Packages that use Parameters
Package
Description
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).

## Uses of Parameters in org.eclipse.mat.report.internal

Subclasses of Parameters in org.eclipse.mat.report.internal
Modifier and Type
Class
Description
`static final class`
`Parameters.Deep`
Methods in org.eclipse.mat.report.internal that return Parameters
Modifier and Type
Method
Description
`Parameters`
AbstractPart.`params()`
`Parameters`
Parameters.Deep.`shallow()`
`abstract Parameters`
Parameters.`shallow()`
Constructors in org.eclipse.mat.report.internal with parameters of type Parameters
Modifier
Constructor
Description
``
`Deep(Parameters parent, Map<String,String> map)`
``
`Deep(Parameters parent, Parameters map)`